<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Plugin</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>
    <script>

        MyPlugin.install = function (Vue, options) {
            // 1. add global method or property
            Vue.myGlobalMethod = function () {
                // some logic ...
            }

            // 2. add a global asset
            Vue.directive('my-directive', {
                bind(el, binding, vnode, oldVnode) {
                    // some logic ...
                }
            })

            // 3. inject some component options
            Vue.mixin({
                created: function () {
                    // some logic ...
                }
            })

            // 4. add an instance method
            Vue.prototype.$myMethod = function (methodOptions) {
                // some logic ...
            }
        }
        // use plugin
        // Vue.use(MyPlugin)
   
    </script>
</body>

</html>